﻿@import url('https://fonts.googleapis.com/css2?family=Noto+Sans+TC:wght@300;500;700&family=Roboto:wght@300;500;700&display=swap');
@import url("https://cdn.jsdelivr.net/npm/bootstrap-icons@1.11.2/font/bootstrap-icons.min.css");

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

html,
body {
    font-family: Roboto, "Noto Sans TC", "Noto Sans JP", "Noto Sans SC", "Apple LiGothic Medium", arial, sans-serif;
    font-size: 16px;
    font-weight: 400;
}

form {
    height: 100%; /* 讓 <form> 也撐滿整個頁面 */
}

.wrapper {
    display: flex;
    flex-direction: column;
    min-height: 100vh; /* 讓頁面至少等於視窗高度 */
}

::placeholder {
    color: #D9D9D9 !important;
}

.main {
    flex: 1; /* 讓主內容區塊填充剩餘空間 */
    /*flex-grow: 1;*/
}

a {
    text-decoration: none;
}

    a:active {
        text-decoration: none;
    }

    a:hover {
        text-decoration: none;
    }

    a:link {
        text-decoration: none;
    }

h1 {
    font-size: 2em;
    font-weight: 700;
}

h2 {
    font-size: 1.8em;
    font-weight: 700;
}

h3 {
    font-size: 1.6em;
    font-weight: 700;
}

h4 {
    font-size: 1.4em;
    font-weight: 700;
}

h5 {
    font-size: 1.2em;
    font-weight: 700
}

h6 {
    font-size: 1em;
    font-weight: 700;
}

.icon-size-1{
    font-size:5rem;
    font-weight:700;
}

.bg-gray {
    background-color: #F7F9F8;
}

.bg-green {
    background-color: #009844;
}

/*.btn-green{
    background-color:#009844;
    padding:10px 20px;
    color:#FFFFFF!important;
    font-weight:300!important;
}*/



.fw-bold {
    font-weight: 500 !important;
}

.text-center{
    text-align:center;
}

.text-green {
    color: #009844!important;
}

.text-gray {
    color: #898989 !important;
}

.text-red {
    color: #E60012 !important;
}

section {
    padding: 50px 0px 150px 0px;
}

.banner {
    width: 100%;
}

    .banner img {
        width: 100%;
    }

.container {
    max-width: 1200px;
}

/**登入**/
.login_box{
    max-width:550px;
    margin:0px auto;
}

/**個資同意**/
.policy ol li{
    margin-bottom:10px;
}

/** header樣式 **/
header {
    min-height: 85px;
    display: flex;
    flex-flow: row;
    justify-content: space-between;
    align-items: center;
    box-shadow: 0px 0px 10px 2px rgba(0, 0, 0, 0.1);
}

.navbar {
    flex-direction: row-reverse;
}

.navbar_brand {
    height: 33px;
    display: flex;
    flex-direction: row;
    justify-content:flex-start;
    align-items: flex-end;
    margin-left: 2.5%;
}

    /*.navbar_brand > img {
        min-width: 167px;
    }*/

    .navbar_brand > div {
        margin-left: 20px;
        line-height: 15px;
        font-size: 1.5rem;
        font-weight: 500;
    }

.navbar_log > img {
    height: 57px;
    width: auto;
}

select:disabled {
    opacity: 1;
    background-color: #D7D9D8;
    color: #989E9A;
}

.dropdown-menu[data-bs-popper] {
    margin-top: 21px;
}

#search_box_rwd_form {
    display: none;
}

.brand_title {
    display: inline-block;
    vertical-align: sub;
    font-size: 1.4rem;
    padding: 0px 0px 0px 15px;
}

#navbarSupportedContent {
    justify-content: flex-end;
    max-width: 100%;
    background-color: #FFFFFF;
}

.language-menu {
    border-radius: 2px;
    width: auto;
    right:0!important;
}

    .language-menu li a {
        color: #737373 !important;
    }

        .language-menu li a:active {
            color: #FFFFFF !important;
        }

/* Remove border from toggler */
.navbar-toggler {
    border: 0;
}

    .navbar-toggler:focus,
    .navbar-toggler:active,
    .navbar-toggler-icon:focus {
        outline: none;
        box-shadow: none;
        border: 0;
    }

/* Lines of the Toggler */
.toggler-icon {
    width: 30px;
    height: 3px;
    background-color: #009844;
    display: block;
    transition: all 0.2s;
}

/* Adds Space between the lines */
.middle-bar {
    margin: 5px auto;
}

.dropdown-item:hover {
    background-color: #E6F2EB;
    color: #009844;
}

.dropdown-item:focus {
    background-color: #009844;
    color: #FFFFFF;
}

/* State when navbar is opened (START) */
.navbar-toggler .top-bar {
    transform: rotate(45deg);
    transform-origin: 10% 10%;
}

.navbar-toggler .middle-bar {
    opacity: 0;
    filter: alpha(opacity=0);
}

.navbar-toggler .bottom-bar {
    transform: rotate(-45deg);
    transform-origin: 10% 90%;
}

/* State when navbar is opened (END) */

/* State when navbar is collapsed (START) */
.navbar-toggler.collapsed .top-bar {
    transform: rotate(0);
}

.navbar-toggler.collapsed .middle-bar {
    opacity: 1;
    filter: alpha(opacity=100);
}

.navbar-toggler.collapsed .bottom-bar {
    transform: rotate(0);
}

/* State when navbar is collapsed (END) */

/* Color of Toggler when collapsed */
.navbar-toggler.collapsed .toggler-icon {
    background-color: #009844;
}

#languageMenuButton {
    flex-flow: row;
    justify-content: center;
    align-items: center;
    padding-top: 10px;
    color: #737373;
}

    #languageMenuButton svg {
        font-size: 1.5rem;
        margin-right: 10px;
    }

/*input[type=checkbox] {
    display: none;
}*/

input[type=radio], input[type=checkbox] {
    display: inline-block;
    width: 20px;
    height: 20px;
    margin-top: 2px;
    padding-left: 20px;
    margin-right: 10px;
    line-height: 25px;
    vertical-align: middle;
}

    input[type=radio] + label, input[type=checkbox] + label {
        margin-right: 20px;
    }

.multiPlaceholder::placeholder {
    white-space: pre-line;
}

.nav_item {
    display: flex;
    flex-flow: row;
    justify-content: center;
    align-items: center;
}

    .nav_item:before {
        content: "|";
        color: #CCCCCC;
        margin: 0px 8px;
    }

    .nav_item:last-child:after {
        content: "|";
        color: #CCCCCC;
        margin: 0px 8px;
    }

    .nav_item a:hover {
        text-decoration: none;
        color: #009844;
    }

.nav-btn {
    height: 100%;
    display: flex;
    flex-direction: row;
    justify-items: center;
    align-items: center;
    margin: 0px 1px;
    cursor: pointer;
}

    .nav-btn > img {
        width: 36px;
    }

    .nav-btn > span {
        font-weight: 300;
    }

.nav-pills .nav-link {
    background-color: #DFDFDF;
    border: 0;
    border-radius: 5px;
    margin-right: 10px;
    color: #1F211F;
}

    .nav-pills .nav-link.active,
    .nav-pills .show > .nav-link {
        /*color: #009844;*/
        background-image: -webkit-linear-gradient(top, #24a600 1%, #24a600 22%, #24a600 30%, #009844 100%);
    }

.nav-link:hover {
    background-color: #009844;
    color: #fff !important;
}

.nav-fill .nav-item .nav-link, .nav-justified .nav-item .nav-link {
    color: #333333;
}

.nav-tabs .nav-item.show .nav-link, .nav-tabs .nav-link.active {
    color: #009844 !important;
    font-weight:500;
}

.nav-tabs .nav-item.show .nav-link, .nav-tabs .nav-link.active:hover {
    background-color: #009844;
    color: #FFFFFF !important;
}

article{
    margin-bottom:20px;
}

.job_name_title {
    color: #009844 !important;
    border-bottom: none;
    font-weight: 500;
    font-size: 1.3rem;
}


    .job_name_title:hover {
        color: #E60012 !important;
        border-bottom: 1px solid #E60012 !important;
    }

.benefit_img {
    text-align: right;
}

    .benefit_img img {
        max-width: 220px;
    }

/*Form Control*/

.txtBox {
    display: block;
    width: 100%;
    padding: 0.375rem 0.75rem;
    line-height: 1.5;
    color: #212529;
    background-color: #fff;
    background-clip: padding-box;
    border: none;
    border-bottom: 1px solid #ced4da;
    -webkit-appearance: none;
    -moz-appearance: none;
    appearance: none;
    transition: border-color .15s ease-in-out,box-shadow .15s ease-in-out;
    text-align:center;
}

    .txtBox:focus {
        outline: none;
        border-bottom:2px solid #009844;
    }

    .txtBox:disabled, .txtBox[readonly] {
        background-color: #e9ecef;
        opacity: 1;
    }

.msg {
    color: red !important;
}

/**Radio單選樣式**/
.radioSelect{
    display:flex;
    flex-flow:row;
    align-items:center;
    padding:10px;
}

.radioSelect input[type=radio] {
    border: 0px;
    width: 1.2rem;
    height: 1.2rem;
}

.radioSelect label {
    margin-left: 5px;
    margin-right: 20px;
}

/**CheckBox選擇樣式**/
.checkboxSelect {
    display: flex;
    flex-flow: row;
    align-items: center;
    padding: 10px;
}
.checkboxSelect input[type=checkbox] {
    border: 0px;
    width: 1.2rem;
    height: 1.2rem;
    margin-left: 10px;
    margin-right: 5px;
}

/**下拉選單樣式**/
.DropdownListStyle {
    border: none;
    width: 100%;
    border-bottom: 1px solid #ced4da;
    padding: 5px;
    margin: 5px;
}

.DropdownListStyle:focus {
    outline:none;
    border-bottom: 2px solid #009844;
}

    .DropdownListStyle option{
        text-align:center;
    }

/** Pagination  **/
#app {
    width: auto;
    height: 15px;
    margin: 0 auto;
    transform: translateY(-50%);
    overflow: hidden;
    z-index: 1;
    display: flex;
    flex-flow: row;
    justify-content: center;
    align-items: center;
}

.button {
    width: 15px;
    height: 15px;
    float: left;
    margin-right: 15px;
    background-color: #fff;
    border:1px solid #737373;
    border-radius: 15px;
    cursor: pointer;
    transition: 0.3s ease width;
}

    .button:last-child {
        margin-right: 0;
    }

    .button.active {
        width: 60px;
        cursor: auto;
        border: 1px solid #E60012;
        background-color: #E60012;
    }

.bg-opacity {
    background: rgba(0,0,0,0.6) !important;
}

.modal-header .badge {
    font-size:1rem;
}

.modal-body article p {
    margin-bottom: 0px;
    padding-left: 15px;
}

.job_describe {
    color: #898989;
}

.job_describe span:first-child {
    margin-left:0px!important;
}

    .job_describe span:nth-child(1n+1) {
        margin: 0px 10px;
    }

.nav-tabs .nav-item button {
    font-size: 1.5rem;
}

footer {
    background-color: #009844;
    padding: 20px;
    color: #FFFFFF;
}

    footer a {
        color: #FFFFFF !important;
    }

.ca_table {
    background-color: #FFFFFF;
    margin-bottom: 20px;
}

    .ca_table tr:hover {
        background-color: #e0e0e0;
    }

    .ca_table th {
        border: 1px solid #d9d9d9;
        padding: 10px;
        text-align: center;
        font-weight: bold;
    }

    .ca_table td {
        border: 1px solid #d9d9d9;
        padding: 10px;
    }

    .ca_table .dan {
        text-align: right;
        border: none;
    }

    .ca_table #cpyear {
        font-size: 25px;
    }

    .ca_table td:first-child, th:first-child {
        position: sticky;
        left: 0; /* 首行永遠固定於左 */
        z-index: 1;
    }

.plusicon {
    color: #009844;
    font-size:1.75rem
}

.plusicon:hover{
    color:#E60012;
}


.navbar_brand {
    display: flex;
    align-items: center; /* 垂直置中 */
    gap: 8px; /* 圖片和文字間距 */
    text-decoration: none; /* 去掉底線 */
}

.nav-link {
    display: block;
    padding: .5rem .75rem;
    color: #495057;
    transition: color .15s ease-in-out, background-color .15s ease-in-out, border-color .15s ease-in-out;
    margin-right: 10px;
    border-radius:5px;
}

.paper-block {
    font-size: 15px;
    line-height: 1.8;
}

.paper-title {
    font-weight: bold;
    font-size: 16px;
}

.paper-row {
    display: flex;
    margin-bottom: 6px;
}

.paper-label {
    width: 120px;        
    font-weight: bold;
    text-align: left;
    white-space: nowrap;
}

.paper-content {
    flex: 1;
}

.modal-sm {
    max-width: 800px;
}

.modal-content {
    width: 100%;
}

.paper-box {
    width: 1000px;
    /*border-top: 2px solid #000;*/
    border-bottom: 2px solid #000;
    margin: 30px auto;
}

.paper-title {
    padding: 8px 12px;
    font-weight: bold;
    border-top: 2px solid #000;
    border-bottom: 2px solid #000;
}

.paper-table {
    width: 100%;
    border-collapse: collapse;
    font-size: 15px;
}

/*.paper-table tr {
    border-bottom: 1px solid #000;
}*/

.paper-table th {
    width: 120px;
    padding: 10px;
    text-align: left;
    white-space: nowrap;
}

.paper-table td {
    padding: 10px;
}

.gray {
    background-color: #f2f2f2;
}

.label {
    width: 60px;
    font-weight: bold;
    white-space: nowrap;
}

.btn-green {
    color: #FFFFFF;
    width: auto;
    background-image: -webkit-linear-gradient(top, #24a600 1%, #24a600 22%, #24a600 30%, #009844 100%);
    margin: 10px 3px;
    padding: .375rem .75rem;
    cursor: pointer;
    border-radius: 2px;
    border-color: transparent;
}

.btn-green:hover {
    color: #fff !important;
    background-image: none;
    background-color: #e60012;
}

.btn-outline-green {
    width: auto;
    margin: 10px 3px;
    padding: .375rem .75rem;
    color: #009844;
    border: 2px solid #009844;
    background-color: #fff;
}

    .btn-outline-green:hover {
        color: #fff;
        background-image: -webkit-linear-gradient(top, #24a600 1%, #24a600 22%, #24a600 30%, #009844 100%);
        border-color: transparent;
    }


.btn-white {
    padding: 6px 16px;
    color: #00b050; 
    background-color: #ffffff;
    border: 1.5px solid #00b050; 
    border-radius: 2px;
}

.btn-outline-yellow {
    border:2px solid #ffc107;
    background-color:#fff;
}

.btn-outline-yellow:hover {
    background-color: #ffc107;
}

.contest-table {
    width: 100%;
    border: 1px solid #999;
    border-collapse: collapse;
    font-size: 14px;
}

.contest-table > :not(caption) > * > * {
    /*border: 2px solid #6c757d !important;*/
    padding: 8px 10px;
    vertical-align: middle;
}


.contest-table thead th {
    background-color: #fff;
    font-weight: 600;
    text-align: center;
    white-space: nowrap;
}

.contest-table tbody td {
    text-align: center;
}


.contest-table tbody td.text-start {
    text-align: left;
}

.contest-table tbody td:first-child {
    width: 90px;
}

.contest-table .btn-success {
    font-size: 14px;
    border-radius: 6px;
}

/* 狀態顏色 */
.s-ok {
    color: #198754;
    font-weight: 500;
}

.s-ng {
    color: #ff0000;
    font-weight: 500;
}

.table > thead {
    vertical-align:auto;
}

.bg-white {
    background-color: #FFFFFF;
}

.btn_ghost_Rest {
    width: auto;
    color: #1F211F;
    background-color: #ffffff;
    cursor: pointer;
    border: 1px solid #009844;
    border-radius: 2px;
    padding: .375rem .75rem;
    margin: 10px 3px;
    font-size: 16px;
}

.btn_ghost_Rest:hover {
    color: #e60012;
    border-color: #e60012;
}

.form-select option {
    color: #000; /* 選單內容黑色 */
}

.form-control::placeholder {
    color: #bbb !important;
}

.main {
    display: flex;
    flex-direction: column;
}

.page {
    flex: 1;
    display: flex;
}

.left,
.right {
    flex: 1;
}

.center {
    flex: 1.3; 
}

.center {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}

.title {
    margin-bottom: 20px;
    font-weight: bold;
}

.login_box {
    width: 460px;
}

.right {
    display: flex;
    justify-content: center;
    align-items: flex-end; 
    padding-bottom: 40px;
}

    .right img {
        width: 280px;
    }

.footer-info {
    width: 100%;
    padding: 20px 0px;
}

.footer-info ul {
    max-width: 1200px;
    margin: 0 auto;
}

.footer-info li:first-child {
    white-space: nowrap;
}

.privacy_policy_text h5 {
    margin-left: 70px;
    text-indent: -32px;
}

.p_indent{
    margin-left: 80px;
}

.ul_indent {
    margin-left: 50px;
}

.s_indent {
    margin-left: 70px;
}

.c_indent {
    margin-left: 120px;
    margin-bottom:10px;
}

/*th, tr, td {
    padding: 8px 12px;
    border: 1px solid black;
    text-align: center;
}

tbody > tr > td {
    text-align: left;
}*/

.privacy_policy_text article p {
  margin-bottom:10px;
}


.custom-modal {
    border-radius: 25px;
    padding: 10px;
}

.section-title {
    text-align: center;
    padding: 8px;
    border-radius: 6px;
    font-size:1.2em;
    font-weight: 700;
}

    .section-title.green {
        background: #D0EBB3;
    }

    .section-title.blue {
        background: #DCEAF7;
    }

.btn-view {
    background-color: #28a745; 
    color: #ffffff; 
    padding: 10px 20px; 
    border-radius: 6px;
    font-size: 14px;
    cursor: pointer;
}

#submitBtn:disabled {
    background-color: #ccc !important;
    border-color: #ccc !important;
    color: #888 !important;
    cursor: not-allowed;
    box-shadow: none;
}


.footer-btn {
    margin-top: 450px;
}

.hs_table {
    width: auto;
    background-color: #FFFFFF;
}

    .hs_table > thead > tr {
        background-color: #FFFFFF !important;
        border: 0px;
        border-bottom: 1px solid #B9BFBC;
        text-align: center;
        font-weight: 400;
    }

    .hs_table tbody {
        background-color: #F7F9F8;
    }

    .hs_table tr:nth-child(even) {
        background: #FFFFFF
    }

    .hs_table th,
    .hs_table td {
        padding: 4px 8px;
        border: 1px solid #DADEDB
    }

    .hs_table td {
        text-align: center;
    }

.table > :not(:first-child) {
    border-top: 2px solid #B9BFBC !important;
}


.hs_table th:nth-child(1),
.hs_table td:nth-child(1) {
    width: 100px;
}

.hs_table th:nth-child(2),
.hs_table td:nth-child(2) {
    width: 90px;
}

.hs_table th:nth-child(3),
.hs_table td:nth-child(3) {
    width: 90px;
}

.hs_table th:nth-child(4),
.hs_table td:nth-child(4) {
    width: 70px;
}

.hs_table th:nth-child(5),
.hs_table td:nth-child(5) {
    width: 80px;
}
/* 論文題目 */

.hs_table th:nth-child(6) {
    width: 70px;
}

.hs_table th:nth-child(7){
    width: 80px;
}

.hs_table th:nth-child(8) {
    width: 100px;
}

.hs_table th:nth-child(9) {
    width: 80px;
}

.hs_table th:nth-child(10){
    width: 100px;
}

.hs_table th:nth-child(11) {
    width: 80px;
}

.table > thead {
    vertical-align: middle;
}

.hs_table td:nth-child(6),
.hs_table td:nth-child(8),
.hs_table td:nth-child(10) {
    width: 100px; /* 姓名 */
}

.hs_table td:nth-child(7),
.hs_table td:nth-child(9),
.hs_table td:nth-child(11) {
    width: 100px; /* 狀態 */
}

.hs_table td:nth-child(4) {
    width: 600px; /* 題目 */
}

.form-check-input {
    border: 2px solid rgba(0, 0, 0, .25);
}

.paper-box {
    width: 100%;
}

.paper-table {
    width: 100%;
}

.nav-link:hover {
    background-color:rgb(111, 186, 44);
    border-radius:5px;
}

.content_img img {
    display: block;
    margin: auto;
    max-width: 100%;
    text-align: center;
}


.sidebar {
    width: 280px;
    transition: all 0.3s ease;
    pointer-events: auto;
}

.navbar-toggler{
    display:none;
}

.disabled-btn {
    background-color: #ccc !important;
    border-color: #ccc !important;
    color: #666 !important;
    cursor: not-allowed;
}

.btn:disabled {
    opacity: 1 !important;
}

.btn-secondary:disabled {
    background-color: #ccc !important;
    border-color: #ccc !important;
    color: #888 !important;
    margin: 10px 3px;
    padding: .375rem .75rem;
    border: none !important;
}

.modal-lg{
    max-width:1600px!important;
}

@media (max-width: 1030px) {
    header {
        height: 86px;
    }

    #navbarSupportedContent {
        position: fixed;
        width: 100%;
        left: 0px;
        margin-top: 170px;
        box-shadow: 0 10px 10px rgba(0, 0, 0, 0.2);
        padding: 20px;
        z-index: 1022;
    }

    #languageSelector > .dropdown-menu[data-bs-popper] {
        left: -20px;
        margin-top: 0px;
        width: 120%;
        text-align: center;
        border: 0px;
        box-shadow: 0px 10px 10px 1px rgba(0, 0, 0, 0.2);
    }

    .nav_item {
        padding: 5px;
    }

    .nav_item:before {
        content: "";
        color: #FFFFFF;
        margin: 0px 8px;
    }

    .nav_item:last-child:after {
        content: "";
        color: #FFFFFF;
        margin: 0px 8px;
    }

    .navbar-nav {
        border-top: 1px solid #B9BFBC;
        border-bottom: 1px solid #B9BFBC;
        margin-top: 10px;
    }

    .search_and_navbtn {
        display: block;
    }

    .benefit_img {
        text-align: left;
    }


    .sidebar {
        position: fixed;
        top: 0;
        left: 0;
        margin-left: -280px; /* 預設收起 */
        z-index: 1050;
        background-color: #fff;
        top: 84px; /* header 高度 */
        height: calc(100% - 84px);
    }

    .navbar-toggler {
        display:block;
    }

    .sidebar.show {
        margin-left: 0;
    }


    .disabled-btn {
        background-color: #ccc !important;
        border-color: #ccc !important;
        color: #666 !important;
        cursor: not-allowed;
    }


}

@media (max-width: 768px) {
    .head-image {
        right: 130px;
    }

        .head-image > img {
            width: 98%;
        }

    .nav_item:before {
        content: "";
        color: #FFFFFF;
        margin: 0px 8px;
    }

    .nav_item:last-child:after {
        content: "";
        color: #FFFFFF;
        margin: 0px 8px;
    }
}

@media (max-width: 576px) {
    .navbar_brand > div {
        font-size: 1rem;
        font-weight: 400;
    }

    header {
        min-height: 56px;
    }

    .head-image > img {
        width: 80%;
    }

    .headbanner_container {
        height: 300px;
    }

    #dropdownMenuButton3 {
        flex-direction: row;
    }

    .navbar_brand {
        height: auto;
        margin-left: 4%;
    }

        .navbar_brand > img {
            min-width: auto;
        }

    .headbanner {
        background-position: center center;
        height: 500px;
    }

    .head-text {
        display: none;
    }

    .head-text-mobile {
        display: block;
        padding: 20px;
        background-color: #dedede;
        z-index: 999;
    }

    .headerText > h1 {
        font-size: 17pt;
    }

    .headerText > p {
        font-size: 10pt;
    }

    .head-image {
        width: 60%;
        right: 50px;
        /* margin: 0px 0px 0px 30%;
    padding: 20px 50px 0px 0px;*/
    }
}

@media (max-width: 414px) {
    .nav-tabs .nav-item{
        width:33.33%;
    }
    .nav-tabs .nav-item button{
        font-size: 1rem;
    }

}
